@props(['device'])
<div>
    <h3>Device Detail</h3>
    <ul>
        <!--li>device_id: {{ $device['device_id'] }}</li-->
        <li>title: {{ $device['title'] }}</li>
        <li>device_type: {{ $device['device_type'] }}</li>
        <li>description: {{ $device['description'] }}</li>
        <li>accessories: {{ $device['accessories'] }}</li>
        <li>rz_username_buyer: {{ $device['rz_username_buyer'] }}</li>
        <li>serial_number: {{ $device['serial_number'] }}</li>
        <li>image_url: {{ $device['image_url'] }}</li>
    </ul>
    @can('admin-only')
        <button><a href="{{ $device->device_id }}/edit">Edit</a></button>
        <form method="POST" action="{{ $device->device_id }}">
            @method('DELETE')
            @csrf
            <button>Delete</button>
        </form>
    @endcan
    <x-purchasing-information :device="$device" />
    @php
        $locationTransactions = $device->locations;
        $ownerTransactins = $device->owners;
    @endphp
    <h3>Location Transactions</h3>
    <button><a href="{{ $device->device_id }}/locations/create">New Location</a></button>
    @foreach ($locationTransactions as $location)
        <x-location-transaction :location="$location" />
    @endforeach
    <h3>Owner Transactions</h3>
    <button><a href="{{ $device->device_id }}/owners/create">New Owner</a></button>
    @foreach ($ownerTransactins as $owner)
        <x-owner-transaction :owner="$owner" />
    @endforeach
</div>
